com.io7m.r2.meshes

## Interface R2MeshParserInterleavedListenerType

- All Superinterfaces:
    R2ErrorConsumerType
  All Known Subinterfaces:
    R2MeshArrayObjectSynchronousAdapterType, R2MeshTangentsAdapterType
  All Known Implementing Classes:
    R2MeshArrayObjectSynchronousAdapter, R2MeshTangentsAdapter

      public interface R2MeshParserInterleavedListenerType
      extends R2ErrorConsumerType

  The type of mesh parser listeners that deliver interleaved data to consumers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onEventFinished()` Called unconditionally at the end of parsing.
    `void` | `onEventStart()` Called unconditionally at the start of parsing.
    `void` | `onEventTriangle(long index, long v0, long v1, long v2)` A triangle was received.
    `void` | `onEventTriangleCount(long count)` The number of triangles was received.
    `void` | `onEventTrianglesFinished()` All triangles have been parsed.
    `void` | `onEventVertexCount(long count)` The number of vertices was received.
    `void` | `onEventVertexFinished(long index)` Vertex `index` is finished.
    `void` | `onEventVertexNormal(long index, double x, double y, double z)` A vertex normal was received.
    `void` | `onEventVertexPosition(long index, double x, double y, double z)` A vertex position was received.
    `void` | `onEventVertexStarted(long index)` Vertex `index` is starting.
    `void` | `onEventVertexTangent(long index, double x, double y, double z, double w)` A vertex tangent was received.
    `void` | `onEventVertexUV(long index, double x, double y)` A vertex UV coordinate was received.
    `void` | `onEventVerticesFinished()` All vertices have been parsed.

    - ### Methods inherited from interface com.io7m.r2.meshes.R2ErrorConsumerType

      `onError`

- - ### Method Detail

    - #### onEventStart

          void onEventStart()

      Called unconditionally at the start of parsing.

    - #### onEventVertexCount

          void onEventVertexCount(long count)

      The number of vertices was received.
      Parameters:
        `count` - The number of vertices

    - #### onEventTriangleCount

          void onEventTriangleCount(long count)

      The number of triangles was received.
      Parameters:
        `count` - The number of triangles

    - #### onEventVertexStarted

          void onEventVertexStarted(long index)

      Vertex `index` is starting.
      Parameters:
        `index` - The vertex index

    - #### onEventVertexPosition

          void onEventVertexPosition(long index,
                                     double x,
                                     double y,
                                     double z)

      A vertex position was received. The given `index` will be equal to the `index` that was received by the most recent call to `onEventVertexStarted(long)`.
      Parameters:
        `index` - The vertex number
        `x` - The `X` coordinate
        `y` - The `Y` coordinate
        `z` - The `Z` coordinate

    - #### onEventVertexNormal

          void onEventVertexNormal(long index,
                                   double x,
                                   double y,
                                   double z)

      A vertex normal was received. The given `index` will be equal to the `index` that was received by the most recent call to `onEventVertexStarted(long)`.
      Parameters:
        `index` - The vertex number
        `x` - The `X` coordinate
        `y` - The `Y` coordinate
        `z` - The `Z` coordinate

    - #### onEventVertexTangent

          void onEventVertexTangent(long index,
                                    double x,
                                    double y,
                                    double z,
                                    double w)

      A vertex tangent was received. The given `index` will be equal to the `index` that was received by the most recent call to `onEventVertexStarted(long)`.
      Parameters:
        `index` - The vertex number
        `x` - The `X` coordinate
        `y` - The `Y` coordinate
        `z` - The `Z` coordinate
        `w` - The `W` coordinate

    - #### onEventVertexUV

          void onEventVertexUV(long index,
                               double x,
                               double y)

      A vertex UV coordinate was received. The given `index` will be equal to the `index` that was received by the most recent call to `onEventVertexStarted(long)`.
      Parameters:
        `index` - The vertex number
        `x` - The `X` coordinate
        `y` - The `Y` coordinate

    - #### onEventVertexFinished

          void onEventVertexFinished(long index)

      Vertex `index` is finished. The given `index` will be equal to the `index` that was received by the most recent call to `onEventVertexStarted(long)`.
      Parameters:
        `index` - The vertex index

    - #### onEventVerticesFinished

          void onEventVerticesFinished()

      All vertices have been parsed.

    - #### onEventTriangle

          void onEventTriangle(long index,
                               long v0,
                               long v1,
                               long v2)

      A triangle was received.
      Parameters:
        `index` - The triangle number
        `v0` - The index of the first vertex
        `v1` - The index of the second vertex
        `v2` - The index of the third vertex

    - #### onEventTrianglesFinished

          void onEventTrianglesFinished()

      All triangles have been parsed.

    - #### onEventFinished

          void onEventFinished()

      Called unconditionally at the end of parsing.

Copyright © 2017 <code@io7m.com> http://io7m.com